Gå til innhold
  • Bli medlem
ØysteinHJ

Tibber i Home Assistant

Anbefalte innlegg

Hei :)

 Kan jeg vise forbruk/historikk i HA (ikke real time) om jeg ikke har Pulse ?

Tror ikke Skagerrak Energi har åpnet for å bruke den enda.

 

I Tibber appen ligger det detaljerte statistikker om forbruk (time-basert) utenom inneværende dag.

Hadde vært artig å fått noe tilsvarende inn i HA :)

 

Mvh Jarle

Del dette innlegget


Lenke til innlegg
Del på andre sider
På 22.2.2019 den 14.51, Dennis87 skrev:

Hva er grunnen til at du har en slider? og 3600kW hørtes mye ut

Da kan jeg stille selv hva effektgrensen skal være. Nå for tiden står den på maks, helt til vi vanlige strømforbrukere får effekttariff.  

Er vant med kilowatt på jobben, er kun feil benevning her, den regulerer etter watt.

 

På 22.2.2019 den 13.43, Moskus skrev:

Hmm, spennende!

Hvilke enheter? Og hva skal til for å slå dem på igjen?

 

Bor i blokk med inkl varmtvann, så hos meg blir det kun ovner, varmekabel og avtrekksvifte som blir slått av.

Enhetene kommer på igjen nå øyeblikksverdien er under satt effektgrense i 5 minutter, oppsettet mitt er så og si nesten helt likt som Dennis87 sitt.

 

 

 

Del dette innlegget


Lenke til innlegg
Del på andre sider
3 timer siden, Offpiste skrev:

Da kan jeg stille selv hva effektgrensen skal være.

Det var vel mer en spøk om at 3,6 Megawatt kan være en del... ;) 

  • Like 2

Del dette innlegget


Lenke til innlegg
Del på andre sider
På 26.2.2019 den 20.55, Moskus skrev:

Det var vel mer en spøk om at 3,6 Megawatt kan være en del... ;) 

Koster litt ;)

  • Like 1

Del dette innlegget


Lenke til innlegg
Del på andre sider

Hei, jeg har hatt tibber data i Home Assistant helt til 14.04.19 kl 08, men etter det ser det ikke ut til at jeg får kontakt med Tibber. Jeg har ikke endret noe på den delen av konfigurasjonen. Får denne opp i Lovelace:1841115304_Screenshot2019-04-16at22_06_56.png.c4bd8cd60cc823a68f2b864da2318376.png

 

Noen som kjenner til hva dette kan skyldes?

 

UPDATE: tok vekk en camera config fra conguration.yaml, da virket den igjen etter en restart. Meget rart.

Endret av 2jan

Del dette innlegget


Lenke til innlegg
Del på andre sider
3 hours ago, daniel.h.iversen said:

Hvilken versjon av HASS kjører du?

Kan du sjekke loggen neste gang det skjer?

Jeg kjørte 0.91.3 frem til i dag, 0.91.4 nå. Skal sjekke loggen neste gang ja.

Del dette innlegget


Lenke til innlegg
Del på andre sider

hei @daniel.h.iversen

 

er nybegynner på homeassistant, og ikke programmerer men koser meg fælt likevel ^_^ 

jeg har tibber pulse , og nylig installert en easee ladestasjon også. hva tror sjansen er for at vi får en home assistant component for easee laderne etter hvert? :) med en nissan leaf som fungerer svært dårlig på alt som har med kommunikasjon rundt batteri og ladestatus, hadde det vært snedig å kunne fulgt med på batteriprosent og ladehastighet fra home assistant, sammen med påminnelse om å plugge i laderen hvis man har glemt det, etc .

Del dette innlegget


Lenke til innlegg
Del på andre sider

Er det andre som ikke får inn verdier fra Tibber Puls med versjon 0.92.2 ?

 

image.png.6ec5206705453b38aad4e1286398355e.png

Endret av Offpiste

Del dette innlegget


Lenke til innlegg
Del på andre sider

Jeg oppdaterte til Home Assistant 0.92.2 fra 0.91.? i kveld, og da gikk Tibber-integrasjonen ned.  Jeg har sjekket release notes, men finner ingen breaking changes relatert til Tibber.  Hva kan problemet her være?

 

Jeg får følgende feilmelding i Lovelace hvor jeg prøver å vise real_time_consumption:

 

image.png.a0c90617a6340f1860652686a8e5bfd3.png

 

Og HA-loggen har en del informasjon:

2019-05-03 23:37:23 WARNING (MainThread) [homeassistant.setup] Setup of tibber is taking over 10 seconds.
2019-05-03 23:37:25 ERROR (MainThread) [tibber] Timed out when connecting to Tibber:  
Traceback (most recent call last):
  File "/srv/homeassistant/lib/python3.5/site-packages/tibber/__init__.py", line 89, in _execute
    resp = await self.websession.post(API_ENDPOINT, **post_args)
  File "/srv/homeassistant/lib/python3.5/site-packages/aiohttp/client.py", line 497, in _request
    await resp.start(conn)
  File "/srv/homeassistant/lib/python3.5/site-packages/aiohttp/client_reqrep.py", line 844, in start
    message, payload = await self._protocol.read()  # type: ignore  # noqa
  File "/srv/homeassistant/lib/python3.5/site-packages/aiohttp/streams.py", line 588, in read
    await self._waiter
  File "/usr/lib/python3.5/asyncio/futures.py", line 380, in __iter__
    yield self  # This tells Task to wait for completion.
  File "/usr/lib/python3.5/asyncio/tasks.py", line 304, in _wakeup
    future.result()
  File "/usr/lib/python3.5/asyncio/futures.py", line 285, in result
    raise CancelledError
concurrent.futures._base.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/homeassistant/lib/python3.5/site-packages/tibber/__init__.py", line 89, in _execute
    resp = await self.websession.post(API_ENDPOINT, **post_args)
  File "/srv/homeassistant/lib/python3.5/site-packages/async_timeout/__init__.py", line 45, in __exit__
    self._do_exit(exc_type)
  File "/srv/homeassistant/lib/python3.5/site-packages/async_timeout/__init__.py", line 92, in _do_exit
    raise asyncio.TimeoutError
concurrent.futures._base.TimeoutError
2019-05-03 23:37:35 ERROR (MainThread) [tibber] Timed out when connecting to Tibber:  
Traceback (most recent call last):
  File "/srv/homeassistant/lib/python3.5/site-packages/tibber/__init__.py", line 89, in _execute
    resp = await self.websession.post(API_ENDPOINT, **post_args)
  File "/srv/homeassistant/lib/python3.5/site-packages/aiohttp/client.py", line 497, in _request
    await resp.start(conn)
  File "/srv/homeassistant/lib/python3.5/site-packages/aiohttp/client_reqrep.py", line 844, in start
    message, payload = await self._protocol.read()  # type: ignore  # noqa
  File "/srv/homeassistant/lib/python3.5/site-packages/aiohttp/streams.py", line 588, in read
    await self._waiter
  File "/usr/lib/python3.5/asyncio/futures.py", line 380, in __iter__
    yield self  # This tells Task to wait for completion.
  File "/usr/lib/python3.5/asyncio/tasks.py", line 304, in _wakeup
    future.result()
  File "/usr/lib/python3.5/asyncio/futures.py", line 285, in result
    raise CancelledError
concurrent.futures._base.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/homeassistant/lib/python3.5/site-packages/tibber/__init__.py", line 89, in _execute
    resp = await self.websession.post(API_ENDPOINT, **post_args)
  File "/srv/homeassistant/lib/python3.5/site-packages/async_timeout/__init__.py", line 45, in __exit__
    self._do_exit(exc_type)
  File "/srv/homeassistant/lib/python3.5/site-packages/async_timeout/__init__.py", line 92, in _do_exit
    raise asyncio.TimeoutError
concurrent.futures._base.TimeoutError
2019-05-03 23:37:45 ERROR (MainThread) [tibber] Timed out when connecting to Tibber:  
Traceback (most recent call last):
  File "/srv/homeassistant/lib/python3.5/site-packages/tibber/__init__.py", line 89, in _execute
    resp = await self.websession.post(API_ENDPOINT, **post_args)
  File "/srv/homeassistant/lib/python3.5/site-packages/aiohttp/client.py", line 497, in _request
    await resp.start(conn)
  File "/srv/homeassistant/lib/python3.5/site-packages/aiohttp/client_reqrep.py", line 844, in start
    message, payload = await self._protocol.read()  # type: ignore  # noqa
  File "/srv/homeassistant/lib/python3.5/site-packages/aiohttp/streams.py", line 588, in read
    await self._waiter
  File "/usr/lib/python3.5/asyncio/futures.py", line 380, in __iter__
    yield self  # This tells Task to wait for completion.
  File "/usr/lib/python3.5/asyncio/tasks.py", line 304, in _wakeup
    future.result()
  File "/usr/lib/python3.5/asyncio/futures.py", line 285, in result
    raise CancelledError
concurrent.futures._base.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/homeassistant/lib/python3.5/site-packages/tibber/__init__.py", line 89, in _execute
    resp = await self.websession.post(API_ENDPOINT, **post_args)
  File "/srv/homeassistant/lib/python3.5/site-packages/async_timeout/__init__.py", line 45, in __exit__
    self._do_exit(exc_type)
  File "/srv/homeassistant/lib/python3.5/site-packages/async_timeout/__init__.py", line 92, in _do_exit
    raise asyncio.TimeoutError
concurrent.futures._base.TimeoutError
2019-05-03 23:37:45 ERROR (MainThread) [homeassistant.components.tibber] Timeout connecting to Tibber:  
2019-05-03 23:37:45 ERROR (MainThread) [homeassistant.setup] Setup failed for tibber: Component failed to initialize.

 

Endret av ØysteinHJ

Del dette innlegget


Lenke til innlegg
Del på andre sider
1 hour ago, ØysteinHJ said:

Jeg oppdaterte til Home Assistant 0.92.2 fra 0.91.? i kveld, og da gikk Tibber-integrasjonen ned.  Jeg har sjekket release notes, men finner ingen breaking changes relatert til Tibber.  Hva kan problemet her være?

 

Jeg får følgende feilmelding i Lovelace hvor jeg prøver å vise real_time_consumption:

 

image.png.a0c90617a6340f1860652686a8e5bfd3.png

 

Og HA-loggen har en del informasjon:


 

 

Har ikke peiling på Home Assistant, men flere som har hatt problem med Tibber ikveld. 

Så kan tyde på at de har litt problemer og du bare hadde dårlig timing med oppdateringen ;)

Endret av JohnMartin

Del dette innlegget


Lenke til innlegg
Del på andre sider

Kjent feil. Er fikset og kommer med i 92.3 eller 93. Enn så lenge må man nedgradere til 92.1 for å fikse det.

Endret av Dennis87

Del dette innlegget


Lenke til innlegg
Del på andre sider

Ah, takk for info, begge to.  Ser ut til at jeg bare får se å nedgradere til 0.92.1.

 

EDIT: Nedgradering til 0.92.1 fikset problemet.

Endret av ØysteinHJ

Del dette innlegget


Lenke til innlegg
Del på andre sider

Hei!

Jeg skulle ønske vi kunne få listet ut forbruk på alle fasene fra Tibber-komponenten, slik som i Tibber-appen (L1, L2 og L3)

for oss som har TN-nett.

Har du tid til å legge inn det, @daniel.h.iversen ?

 

... og har dere noen ideer på hvordan vi kan liste ut forbrukshistorikk, si siste uke og siste måned i Home Assistant?

 

IMG_D00A7261B370-1.jpeg

Endret av Kråkerøymannen

Del dette innlegget


Lenke til innlegg
Del på andre sider

Kanskje et dumt spørsmål, men ser ikke dette litt rart ut? 0V på fase 1 og 0A på fase 2..

Screenshot_20190515_202419_com.tibber.android.jpg

Del dette innlegget


Lenke til innlegg
Del på andre sider

Er det noe å gå videre med?

 

Lurer også på hva attributen lastMeterConsumption er?

Del dette innlegget


Lenke til innlegg
Del på andre sider
På 15.5.2019 den 22.22, olloe skrev:

Lurer også på hva attributen lastMeterConsumption er?

Målestanden slik den står på måleren. Den blir dessverre oppdatert forholdsvis sjeldent.

Del dette innlegget


Lenke til innlegg
Del på andre sider
På 15.5.2019 den 21.09, olloe skrev:

Kanskje et dumt spørsmål, men ser ikke dette litt rart ut? 0V på fase 1 og 0A på fase 2..

Screenshot_20190515_202419_com.tibber.android.jpg

 

Regner med du har IT nett (230V) Da er det riktig siden måleren kun måler to av fasene L1 og L3.  På TN nett måles L1, L2 og L3 men ikke N. 
På IT nett der man bare måler L1 og L3 så vet man da verdien til L2, Siden det som ikke går til L1 eller L3 må gå til L2. 

 

Men at den viser 0V på L1 er en feil.

 

Meldte det inn til tibber så tror de kommer med en oppdatering etterhvert så den ikke bare viser 0 for oss med IT nett men heller regner det ut så det blir vist riktig :)

 

 

Endret av Dennis87
  • Thanks 1

Del dette innlegget


Lenke til innlegg
Del på andre sider

Jeg har kun måling på L1, og ingenting på L2 eller L3. Har jeg da IT- eller TN-nett?

Del dette innlegget


Lenke til innlegg
Del på andre sider
15 timer siden, Dennis87 skrev:

 

Regner med du har IT nett (230V) Da er det riktig siden måleren kun måler to av fasene L1 og L3.  På TN nett måles L1, L2 og L3 men ikke N. 
På IT nett der man bare måler L1 og L3 så vet man da verdien til L2, Siden det som ikke går til L1 eller L3 må gå til L2. 

 

Men at den viser 0V på L1 er en feil.

 

Meldte det inn til tibber så tror de kommer med en oppdatering etterhvert så den ikke bare viser 0 for oss med IT nett men heller regner det ut så det blir vist riktig :)

 

 

Spenning blir målt på alle 3 fasar, men strøm kun på 2 av dei. 

Dette kan meget godt være full jordslutning (jordfeil) enten hos deg eller ein nabo. Har du jordfeilbrytar / jordfeilautomatar? 

Del dette innlegget


Lenke til innlegg
Del på andre sider
3 hours ago, bjornepappa said:

Spenning blir målt på alle 3 fasar, men strøm kun på 2 av dei. 

Dette kan meget godt være full jordslutning (jordfeil) enten hos deg eller ein nabo. Har du jordfeilbrytar / jordfeilautomatar? 

Jeg har nytt sikringsskap med jordfeilbryter så den burde vel si ifra, eller? 

Del dette innlegget


Lenke til innlegg
Del på andre sider

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Gjest
Skriv svar til emnet...

×   Du har limt inn tekst med formatering.   Fjern formatering

  Du kan kun bruke opp til 75 smilefjes.

×   Lenken din har blitt bygget inn på siden automatisk.   Vis som en ordinær lenke i stedet

×   Tidligere tekst har blitt gjenopprettet.   Tøm tekstverktøy

×   Du kan ikke lime inn bilder direkte. Last opp eller legg inn bilder fra URL.


×
×
  • Opprett ny...